BindingOperationInfo (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.service.model, class: BindingOperationInfo

Package org.apache.cxf.service.model

# Class BindingOperationInfo

java.lang.Object
org.apache.cxf.service.model.AbstractPropertiesHolder
org.apache.cxf.service.model.BindingOperationInfo

All Implemented Interfaces:
  `Extensible`

public class BindingOperationInfo extends AbstractPropertiesHolder

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected OperationInfo`
  `opInfo`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BindingOperationInfo()`
  `BindingOperationInfo(BindingInfo bi, OperationInfo opinfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `BindingInfo`
  `getBinding()`
  `BindingFaultInfo`
  `getFault(QName name)`
  `Collection<BindingFaultInfo>`
  `getFaults()`
  `BindingMessageInfo`
  `getInput()`
  `QName`
  `getName()`
  `OperationInfo`
  `getOperationInfo()`
  `BindingMessageInfo`
  `getOutput()`
  `BindingOperationInfo`
  `getUnwrappedOperation()`
  `BindingOperationInfo`
  `getWrappedOperation()`
  `int`
  `hashCode()`
  `boolean`
  `isUnwrapped()`
  `boolean`
  `isUnwrappedCapable()`
  `void`
  `setUnwrappedOperation(BindingOperationInfo op)`
  `String`
  `toString()`
  `void`
  `updateUnwrappedOperation()`

  ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

  `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### opInfo

    protected OperationInfo opInfo

- ## Constructor Details

  - ### BindingOperationInfo

    public BindingOperationInfo()

  - ### BindingOperationInfo

    public BindingOperationInfo(BindingInfo bi, OperationInfo opinfo)

- ## Method Details

  - ### updateUnwrappedOperation

    public void updateUnwrappedOperation()

  - ### getBinding

    public BindingInfo getBinding()

  - ### getName

    public QName getName()

  - ### getOperationInfo

    public OperationInfo getOperationInfo()

  - ### getInput

    public BindingMessageInfo getInput()

  - ### getOutput

    public BindingMessageInfo getOutput()

  - ### getFault

    public BindingFaultInfo getFault(QName name)

  - ### getFaults

    public Collection<BindingFaultInfo> getFaults()

  - ### isUnwrappedCapable

    public boolean isUnwrappedCapable()

  - ### getUnwrappedOperation

    public BindingOperationInfo getUnwrappedOperation()

  - ### setUnwrappedOperation

    public void setUnwrappedOperation(BindingOperationInfo op)

  - ### isUnwrapped

    public boolean isUnwrapped()

  - ### getWrappedOperation

    public BindingOperationInfo getWrappedOperation()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`